jQuery(document).ready(function($) {
	var action = 'click';
	if( /Android|webOS|iPhone|iPad|iPod|BlackBerry|IEMobile|Opera Mini/i.test(navigator.userAgent) ) {
		action = 'touchstart';
	}
	
	var path = location.pathname.substring(1);
	
	if(path != undefined && path != '') {

		setTimeout(function(){
			jQuery('html, body').animate({
				scrollTop: jQuery('#menu-top').offset().top
			}, 300);
		}, 500);
	}
	
	jQuery('a[href*=#]:not([href=#])').click(function() {
		if (location.pathname.replace(/^\//,'') == this.pathname.replace(/^\//,'') && location.hostname == this.hostname) {
		  var target = jQuery(this.hash);
		  target = target.length ? target : jQuery('[id=' + this.hash.slice(1) +']');
		  if (target.length) {
			jQuery('html,body').animate({
			  scrollTop: (target.offset().top - 60)
			}, 1000);
			return false;
		  }
		}
	});
	
	if(jQuery('.slider-wrapper').length > 0){
		jQuery('.slider-wrapper').owlCarousel({
			loop:true,
			autoplaySpeed:1000,
			autoplayTimeout: 7000,
			responsive:{
				0:{
					items:1,
					navText: '',
					autoplay: true,
					navText : ["<i class='fa fa-arrow-left'></i>","<i class='fa fa-arrow-right'></i>"]
				}
			  
			}
		});
	}
	
	jQuery('body').on(action,'.resp-menu-button', function () { 
		jQuery('#menu-top').slideToggle();
	});
	
	jQuery('.flash-intro-image-wrapper .flash-intro-image').each(function(){
		if(jQuery(this).attr('src') == '/' || jQuery(this).attr('src') == ''){
			jQuery(this).parent().remove();
		}
	})
	
	jQuery('.flash-intro-image-wrapper .img-copyright').each(function(){
		jQuery(this).parent().addClass('spacemore');
	})
	
	if(jQuery('section.blog > h1').length > 0){
		jQuery('body:not(".itemid-104, .itemid-103") .items-leading article > h1:first-child').addClass('h2style');
	} else {
		jQuery('body:not(".itemid-104, .itemid-103") .items-leading article:not(".leading-0") > h1:first-child').addClass('h2style');
	}
	
	jQuery('body.itemid-129 .items-leading article.leading-0 > h1:first-child').addClass('h2style');
	
	jQuery('.itemid-102 .items-leading article:not(".leading-0")').each(function(){
		var h1 = jQuery(this).find('h1').html();
		var h3 = jQuery(this).find('h3').html();
		var p = jQuery(this).find('p').html();
		
		jQuery(this).find('h1').remove();
		jQuery(this).find('h3').remove();
		jQuery(this).find('p').remove();
		
		jQuery(this).append('<div class="news-right"><h2>'+ h1 + '</h2><h3>'+ h3 +'</h3><p>' + p +'</p></div><div style="clear:both;"></div>');
	});
	
	jQuery('.itemid-140 .items-leading article').each(function(){
		var h1 = jQuery(this).find('h1').html();
		var h3 = jQuery(this).find('h3').html();
		var p = jQuery(this).find('p').html();
		
		jQuery(this).find('h1').remove();
		jQuery(this).find('h3').remove();
		jQuery(this).find('p').remove();
		
		jQuery(this).append('<div class="news-right"><h2>'+ h1 + '</h2><h3>'+ h3 +'</h3><p>' + p +'</p></div><div style="clear:both;"></div>');
	});
	
	
	jQuery('.news-image-caption').each(function(){
		jQuery(this).html(jQuery(this).html().replace('[br]', '<br />'));
	});
	
	jQuery('.items-leading h1').each(function(){
		jQuery(this).html(jQuery(this).html().replace('[br]', '<br />'));
	});
	
	
	if(jQuery('body').find('#cookies-message').length > 0){
		jQuery('#page').css('padding-top', jQuery('body').find('#cookies-message').outerHeight());
	}
	
	
	responsive();

	jQuery( window ).resize(function() {
		responsive();	
	});
});

function responsive() {
}
